Subject: Re: RFC 3015 & Draft Megaco Agenda

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 5 Dec 2000 11:35:57 -0500

RFC 3015 and the ITU Recommendation H.248 are identical except for
boilerplate.
RFC 3015 is RFC 2885 with the changes in RFC 2886.  There could be some
minor
differences between the wording of 3015 and 2885 updated by 2886, but there
should be none between the ITU Recommendation and 3015.

Christian Groves assures us that the Implementor's Guide is a living
document.
The guide applies to both 3015 and H.248 equally.

I personally think we need to recharter the Megaco WG.

Brian

> -----Original Message-----
> From: Troy Cauble [mailto:[email-masked]]
> Sent: Tuesday, December 05, 2000 11:24 AM
> To: [email-masked]
> Subject: Re: RFC 3015 & Draft Megaco Agenda
>
>
> "Taylor, Tom-PT [NORSE:B901:EXCH]" wrote:
> >
> > At least on the web interface (the only way I seem to be
> able to get to look
> > at Megaco correspondence these days), the announce of
> publication of RFC
> > 3015 seemed to be garbled.  RFC 3015 reproduces the content
> of H.248 as
> > decided last June.  It obsoletes the combination of RFCs
> 2885 and 2886, but
> > does not change what was specified by the combination of those two
> > documents.
> >
> > May we find a less process-ridden way to put out any updates to the
> > protocol!
> >
> > Tom Taylor
> > +1 613 736 0961
> > [email-masked]
>
> Please excuse me for not keeping up, but I have several questions
> on the state of H.248/Megaco in the two standards bodies.
>
> I understand that RFC 3015 obsoletes 2885 and 2886.  Does it have
> ONLY the information in those documents or does it contain some
> of the issues resolved in this list?  (Like those in the ITU-T
> Implementor's Guide.)
>
> Is the Implementor's Guide considered "done", or is it still a
> living document?
>
> I've primarily been working from the ITU-T documents, mainly
> because the IG was a living document and RFC 2886 was written
> in August.  Are the two protocols still in synch?
> Does the 6/00 ITU-T doc plus the IG cover everything in
> RFCs 2885 and 2886?  Everything in 3015?
>
>
> Also, some of the comments in the "Draft Megaco Agenda" thread
> make me think you're close to shutting down the working group.
> IMO there are still some significant under specified portions
> of the protocol, particularly in the ASN.1 encoding.  Does the
> Megaco working group think the protocol is "done"?
>
> -troy
>

---

From: Christian Groves <[email-masked]>
Date: Wed, 6 Dec 2000 20:49:53 +1100

G'Day all,

I have the same understanding as Brian. 3015 is the same as the ITU
Recommendation. The Implementors' guide is a living document.

An information draft/rfc should be issued for the approved version from
the last SG16 meeting to make it available more generally. I'm still
collecting points for the next approved version but i'll be a little
slow over the next month dues to holidays.

As part of the recharter discussions H.248v2 needs to be considered.
Someone from the Megaco group should be responsible (if not Tom) for
collating draft/mails etc for input to the H.248v2 protocol.

Cheers, Christian